<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js main lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
<!--[if IE 7]>         <html class="no-js main lt-ie9 lt-ie8" lang="en"> <![endif]-->
<!--[if IE 8]>         <html class="no-js main lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js main" lang="en">
<!--<![endif]-->

<head>
    <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin />
    <link rel="preconnect" href="https://code.jquery.com/" crossorigin />
    <link rel="preconnect" href="https://cdnjs.cloudflare.com/" crossorigin />
    <link rel="preconnect" href="https://maxcdn.bootstrapcdn.com/" crossorigin />
    <link rel="preconnect" href="https://use.fontawesome.com/" crossorigin />

    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>JosephGruber.com</title>
    <meta name="description"
        content="Joseph Gruber is a engineering manager leading teams building software and systems for NASA spacecraft, landscape photography and astrophotography enthusiast, space geek, coffee aficionado, private pilot, and future Mars resident." />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="author" content="Joseph Gruber" />
    <meta name="HandheldFriendly" content="True" />
    <meta name="MobileOptimized" content="320" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />

    <link rel="apple-touch-icon" sizes="57x57" href="assets/images/favicons/apple-icon-57x57.png" />
    <link rel="apple-touch-icon" sizes="60x60" href="assets/images/favicons/apple-icon-60x60.png" />
    <link rel="apple-touch-icon" sizes="72x72" href="assets/images/favicons/apple-icon-72x72.png" />
    <link rel="apple-touch-icon" sizes="76x76" href="assets/images/favicons/apple-icon-76x76.png" />
    <link rel="apple-touch-icon" sizes="114x114" href="assets/images/favicons/apple-icon-114x114.png" />
    <link rel="apple-touch-icon" sizes="120x120" href="assets/images/favicons/apple-icon-120x120.png" />
    <link rel="apple-touch-icon" sizes="144x144" href="assets/images/favicons/apple-icon-144x144.png" />
    <link rel="apple-touch-icon" sizes="152x152" href="assets/images/favicons/apple-icon-152x152.png" />
    <link rel="apple-touch-icon" sizes="180x180" href="assets/images/favicons/apple-icon-180x180.png" />
    <link rel="icon" type="image/png" href="assets/images/favicons/favicon-16x16.png" sizes="16x16" />
    <link rel="icon" type="image/png" href="assets/images/favicons/favicon-32x32.png" sizes="32x32" />
    <link rel="icon" type="image/png" href="assets/images/favicons/favicon-96x96.png" sizes="96x96" />
    <link rel="icon" type="image/png" href="assets/images/favicons/favicon-128x128.png" sizes="128x128" />
    <link rel="icon" type="image/png" href="assets/images/favicons/favicon-196x196.png" sizes="196x196" />
    <link rel="manifest" href="assets/images/favicons/manifest.json" />
    <link rel="shortcut icon" href="assets/images/favicons/favicon.ico" />
    <meta name="msapplication-TileColor" content="#ffc40d" />
    <meta name="msapplication-TileImage" content="assets/images/favicons/ms-icon-144x144.png" />
    <meta name="theme-color" content="#ffffff" />

    <link rel="canonical" href="https://josephgruber.com" />

    <meta name="twitter:card" content="summary" />
    <meta name="twitter:title" content="JosephGruber.com" />
    <meta name="twitter:description"
        content="Joseph Gruber is a engineering manager leading teams building software and systems for NASA spacecraft, landscape photography and astrophotography enthusiast, space geek, coffee aficionado, private pilot, and future Mars resident." />
    <meta name="twitter:image" content="assets/images/favicons/favicon-196x196.png" />
    <meta name="twitter:creator" content="josephgruber" />
    <meta name="twitter:site" content="josephgruber" />
    <meta property="og:type" content="article" />
    <meta property="og:locale" content="en_US" />
    <meta property="og:title" content="JosephGruber.com" />
    <meta property="og:description"
        content="Joseph Gruber is a engineering manager leading teams building software and systems for NASA spacecraft, landscape photography and astrophotography enthusiast, space geek, coffee aficionado, private pilot, and future Mars resident." />
    <meta property="og:image" content="assets/images/favicons/favicon-196x196.png" />
    <meta property="og:url" content="https://josephgruber.com" />
    <meta property="og:site_name" content="JosephGruber.com" />
    <meta property="fb:admins" content="1065184637" />
    <meta property="article:publisher" content="1065184637" />

    <script type="application/ld+json">
      {"url":"https://josephgruber.com/","author":{"@type":"Person","name":"Joseph Gruber"},"description":"Joseph Gruber is a engineering manager leading teams building software and systems for NASA spacecraft, landscape photography and astrophotography enthusiast, space geek, coffee aficionado, private pilot, and future Mars resident.","name":"JosephGruber.com","headline":"JosephGruber.com","sameAs":["https://twitter.com/josephgruber","https://www.facebook.com/joseph.gruber","https://www.linkedin.com/in/josephgruber","https://www.instagram.com/josephgruber/","https://keybase.io/josephgruber","https://gitlab.com/joseph.gruber","@type":"WebSite","@context":"http://schema.org"}
    </script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/4.6.2/css/bootstrap.min.css"
        integrity="sha512-rt/SrQ4UNIaGfDyEXZtNcyWvQeOq0QLygHluFQcSjaGB04IxWhal71tKuzP6K8eYXYB6vJV4pHkXcmFGGQ1/0w=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css"
        integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="assets/style/main.css" />

    <script src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js"
        integrity="sha384-bPV3mA2eo3edoq56VzcPBmG1N1QVUfjYMxVIJPPzyFJyFZ8GFfN7Npt06Zr23qts"
        crossorigin="anonymous"></script>
</head>

<body class="text-center main">
    <!--[if lt IE 8]>
      <p class="browserupgrade">
        You are using an <strong>outdated</strong> browser. Please
        <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.
      </p>
    <![endif]-->

    <div class="cover-container d-flex h-100 mx-auto align-items-center">
        <main role="main" class="inner cover">
            <picture>
                <source srcset="assets/images/profile.webp" type="image/webp" />
                <source srcset="assets/images/profile.png" type="image/jpeg" />
                <img src="assets/images/profile.png" class="profile-image" alt="Joseph Gruber" />
            </picture>
            <h1 class="title">Joseph Gruber</h1>
            <p>
                Spacecraft software engineer, photographer, coffee aficionado, and future Mars resident.
            </p>
            <p id="sections">
                <a href="https://bluemarble.photography" title="Blue Marble Photography" class="btn btn-outline-light"
                    target="_blank" rel="noopener">Photography</a>
                <a href="files/Resume - Joseph Gruber.pdf" class="btn btn-outline-light" title="Resume" target="_blank"
                    rel="noopener">Resume</a>
            </p>
            <p id="social">
                <a href="https://bsky.app/profile/josephgruber.com" title="BlueSky" target="_blank" rel="noopener"><i
                        class="fa-brands fa-bluesky"></i></a>
                <a href="https://www.linkedin.com/in/josephgruber" title="LinkedIn"><i class="fa-brands fa-linkedin"
                        target="_blank" rel="noopener"></i></a>
                <a href="https://keybase.io/josephgruber" title="Keybase"><i class="fa-brands fa-keybase"
                        target="_blank" rel="noopener"></i></a>
                <a href="https://gitlab.com/joseph.gruber" title="GitLab"><i class="fa-brands fa-gitlab" target="_blank"
                        rel="noopener"></i></a>
                <a href="mailto:noble.hope0706@josephgruber.space" title="Email"><i class="fa-solid fa-envelope"
                        target="_blank" rel="noopener"></i></a>
            </p>
        </main>
    </div>

    <script src="https://code.jquery.com/jquery-3.7.1.slim.min.js"
        integrity="sha256-kmHvs0B+OpCW5GVHUNjv9rOmY0IvSIRcf7zGUDTDQM8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.1/umd/popper.min.js"
        integrity="sha512-ubuT8Z88WxezgSqf3RLuNi5lmjstiJcyezx34yIU2gAHonIi27Na7atqzUZCOoY4CExaoFumzOsFQ2Ch+I/HCw=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/4.6.2/js/bootstrap.min.js"
        integrity="sha512-7rusk8kGPFynZWu26OKbTeI+QPoYchtxsmPeBqkHIEXJxeun4yJ4ISYe7C6sz9wdxeE1Gk3VxsIWgCZTc+vX3g=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-12826609-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'UA-12826609-1');
    </script>

    <link href="https://fonts.googleapis.com/css?family=Comfortaa:300,400|Raleway:400,700" rel="stylesheet" />
</body>

</html>
